import { Component, OnInit, OnDestroy, ChangeDetectionStrategy, Input } from '@angular/core';
import { Store } from '@ngxs/store';
import { Subject } from 'rxjs';
import { CollectingShelfOrder } from 'apps/sales/src/app/core/models/collecting-shelf-order.model';

@Component({
  selector: 'app-shelf-order-item',
  templateUrl: './order-item.component.html',
  styleUrls: ['./order-item.component.scss'],
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class ShelfOrderItemComponent implements OnInit, OnDestroy {
  destroy$ = new Subject();
  @Input() order: CollectingShelfOrder;

  constructor(private store: Store) {}

  ngOnInit() {}
  ngOnDestroy() {
    this.destroy$.next();
  }
}
